Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002204TestLinkAPI - XMLRPCpublic2009-03-06 04:442009-04-05 00:42
Reportersmeyn 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 5 
Fixed in Version1.8.0 
Summary0002204: createTestCase when creating new versions, reports version_number as -1
DescriptionWhen I create a new test case the first time around, the additonalInfo has versionnumber set to 1.
When I run the same call again to create a new version (with actiononduplicatedname set to "create_new_version") then the additionalinfo has versionnumber set to -1, where as the addionalinfo->msg is set to "Created new version 2"
it appears to me that the versionnumber should be set to 2.

cheers
Additional Information1st run result:
+["message"] "Success!"
+["status"] true
+["operation"] "createTestCase"
-["additionalInfo"] {CookComputing.XmlRpc.XmlRpcStruct}
+ ["new_name"] ""
+ ["status_ok"] 1
+ ["msg"] "ok"
+ ["external_id"] "6"
+ ["id"] "1317"
+ ["version_number"] 1
+ ["has_duplicate"] false

2d run result:
+["message"] "Success!"
+["status"] true
+["operation"] "createTestCase"
+["id"] "5"
+["additionalInfo"] {CookComputing.XmlRpc.XmlRpcStruct}
+ ["new_name"] "externally created test case"
+ ["status_ok"] 1
+ ["msg"] "Created new version 2"
+ ["external_id"] "5"
+ ["id"] 1313
+ ["version_number"] -1
+ ["has_duplicate"] true
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon testcase.class.zip [^] (23,127 bytes) 2009-03-08 20:54

- Relationships

-  Notes
(0005776)
fman (administrator)
2009-03-08 20:54

thanks, use attached file and retest
(0005841)
smeyn (reporter)
2009-03-12 12:11

Retested. Works.
Many thanks

- Issue History
Date Modified Username Field Change
2009-03-06 04:44 smeyn New Issue
2009-03-08 18:53 fman Status new => assigned
2009-03-08 18:53 fman Assigned To => fman
2009-03-08 20:54 fman Note Added: 0005776
2009-03-08 20:54 fman File Added: testcase.class.zip
2009-03-08 20:55 fman Status assigned => feedback
2009-03-12 12:11 smeyn Note Added: 0005841
2009-03-13 15:39 fman Status feedback => resolved
2009-03-13 15:39 fman Fixed in Version => 1.8.0
2009-03-13 15:39 fman Resolution open => fixed
2009-04-05 00:42 mhavlat Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker